Subject: Re: [Geopriv] Irregularities with the GEOPRIV Meeting at IETF 68

From: Cullen Jennings <[email-masked]>
Date: Wed, 18 Apr 2007 13:23:47 -0700

In the email below, the GEOPRIV chairs express serious concerns about  
the process surrounding the GEOPRIV meeting at IETF 68 in Prague. In  
particular, they allege:

- That improper meetings occurred between the ADs and the working  
group participants and that this "potentially harmed the integrity  
and transparency of GEOPRIV and the IETF"

- That there was "the appearance that there may have been an attempt  
to manipulate IETF process to hold and predetermine the outcome of  
consensus calls" on the part of the Area Directors.

In the first place, the Area Directors take these concerns, and grave  
allegations, very seriously. Area Directors who manipulate schedules  
and agendas in order to predetermine the outcome of consensus calls  
should, in our opinion, be summarily recalled, and if the GEOPRIV  
working group chairs believe this transpired in IETF 68, we urge them  
to pursue such a recourse. While we speak to the particulars in  
detail below, in short we believe that our efforts before, during and  
after the GEOPRIV meeting at IETF 68 were limited to encouraging a  
set of participants to arrive at a consensus which was long overdue,  
and did not extend to steering said consensus in any particular  
direction. In this regard we do not believe we overstepped our  
bounds, either in the letter or the spirit of the process.

As indicated in my message of March 25, we agree with the GEOPRIV  
chairs that the hums taken in prague need to be confirmed on the  
mailing list. As we all know, the contents of a room in Prague are  
not equivalent to an IETF working group; only formal decisions of  
this mailing list are definitive for the working group. Too often  
working group minutes are published and completely ignored, which  
only leads to further discord down the road when participants resist  
that to which they are presumed to have assented. This is  
particularly important in this case because opinion in the room was  
so closely divided. So in the interests of making progress, please do  
review the results of Prague carefully!

To the particular concerns of the GEOPRIV chairs:

<> Agenda: The Area Directors did meet privately with members of the  
GEOPRIV working group prior to the meeting at IETF 68. Indeed, we met  
with as many stakeholders as possible, specifically to ascertain how  
the group could move forward on a set of contentious issues which had  
been unresolved for some time. In the course of these meetings we  
solicited input on how progress could be made at the meeting, and  
strongly encouraged working group members to find a path to  
consensus. We came to believe that focusing on core issues that were  
impeding progress, such as the longstanding disagreement on an HTTP- 
based Layer 7 Location Configuration Protocol (henceforth L7LCP)  
rather than ancillary issues like location signing, would be the best  
use of working group facetime.

While it is certainly true that the Area Directors knew they wanted  
to use the agenda time in GEOPRIV to make progress on core issues, if  
necessary at the expense of existing agenda items, there was no  
concrete agenda to that effect privately circulated prior to the  
meeting, verbally or in writing, to our knowledge. In fact, the  
agenda was bashed at the start of the GEOPRIV meeting by a  
participant, albeit one whose counsel on making progress the Area  
Directors had sought prior to the meeting. Critically, that agenda  
bash was vetted by the room, as any other agenda bash would be - this  
was not a change made by fiat of the Area Directors. We strongly  
believe that there was a will in the room to prioritize and resolve  
the issues which were bashed onto the agenda. We furthermore took  
specific hums about the preparedness of the group to make decisions  
about these issues, which under the circumstances were required to  
proceed.

<> Scheduling: There certainly were irregularities with the  
scheduling of the GEOPRIV meeting at IETF 68. That much said,  
scheduling the meeting track for the RAI Area is infamous, and last  
minute changes in timeslot are hardly unheard of (we had a similar  
one at the previous IETF). In this instance, the scheduling problem  
was ultimately caused by the unavailability of working group chairs.  
Two of the three GEOPRIV chairs, and one of the two SPEERMINT chairs,  
were unable to attend IETF 68 at all. It transpired that the  
SPEERMINT chair who could attend was unable to make the SPEERMINT  
timeslot due to a family obligation elsewhere in the world. As the  
GEOPRIV chairs note below, Henning Schulzrinne had previously been  
identified as a stand-in co-chair for GEOPRIV. We were thus left with  
the prospect of seeing SPEERMINT go forward with no available chairs,  
versus GEOPRIV going forward with at least one previously identified  
stand-in chair. We thus made a last minute decision to find the  
lesser of two evils by swapping the timeslots of the groups. This was  
a decision made at the last minute to find the lesser of two evils.  
We certainly didn't anticipate all of the ramifications this change  
would have in terms of attendance, and in retrospect, we may not have  
made the most best choice. The choice was not, however, motivated by  
a desire to prevent participants from attending either meeting.

<> Consensus calls: There were indeed quite a few hums taken in the  
GEOPRIV room in Prague. In fact, the manner in which the meeting was  
run with regard to hums was not typical for this group - hums were  
used liberally to hone in on areas where there was, and was not,  
consensus. That much said, not all of the hums were consensus calls  
on working group issues; quite a few hums were also taken on how we  
should proceed, for example (taken from the minutes):
- HUM : Are you informed enough to make this choice
- HUM: Is it important to solve that today
- HUM: Will the group accept a plurality for the decision?

This last hum in particular represented an unusual step, as the  
GEOPRIV chairs note. It was a step recommended by the author of  
RFC3929 (a document on "alternative decision making processes for  
consensus-blocked decisions") when we asked him how we might proceed.  
We resorted to this step because the room felt (based on a previous  
hum) that it was important to walk away from the meeting with a  
resolution. To one particular point:

> Cullen Jennings both called the consensus
> and cast the last and tie-breaking vote in the room.
>

We feel it is important to clarify that Cullen Jennings did not call  
the consensus in the room. Rather, both Cullen and Ted Hardie were  
independently counting the tallies for the plurality in the room (two  
counters were used for redundancy, with the side effect that  
presumably we eliminated any chance of partiality); it was in fact  
Jon Peterson as chair who called the consensus, on the basis of those  
reported tallies. Furthermore, although Cullen Jennings did cast a  
vote when the count in the room was completed and discovered to  
result in a tie, this was not the tie-breaking vote for the purposes  
of determining consensus. In fact, votes from the Jabber room  
determined the plurality, and the resulting tally did not favor the  
option for which Cullen had voted. To the charge that

> one of the hums was called on a question not described
> in an existing Internet-Draft.
>

That can be said of all of the process listed hums above. We aren't  
aware that process constrains us to make hums solely related to  
questions within existing Internet-Drafts.

Cullen Jennings
Jon Peterson
RAI Area Directors

On Apr 17, 2007, at 8:06 PM, Randall Gellens wrote:

> All,
>
> We, the co-chairs of the GEOPRIV working group, have received private
> messages of concern regarding the GEOPRIV meeting held at IETF 68 and
> the outcome of that meeting.  Upon initial investigation, we believe
> there were irregularities with the scheduling and agenda of the
> meeting that rise above the normal course of business within the
> IETF.  It is our opinion that at this time, it is best to bring
> notice of these irregularities to the working group in the interest
> of transparency and for the integrity of the IETF.
>
>
> AGENDA CHANGE
>
> The IETF process allows for agenda changes during meetings.  At the
> outset of the meeting, the agenda was changed substantially from the
> published agenda.  This change included removing the discussion of
> location signing and integrity and replacing it with an L7-LCP
> protocol consensus call.  However, evidence has arisen that the
> the Area Directors, Cullen Jennings and Jon Peterson, met privately  
> with
> some participants of the GEOPRIV working group to inform them
> of this agenda change.  Cullen Jennings is the Area Advisor to  
> GEOPRIV.
>
> If such meetings did occur, we believe them to be improper and to
> have potentially harmed the integrity and transparency of GEOPRIV and
> the IETF.  It is not proper for officiates of a working group to plan
> working group agenda changes and privately inform only select group
> participants.  Doing so disadvantages participants of the working
> group who have not been advised of this change.  This is especially
> true for this particular meeting as the agenda change precipitated 15
> hums during the meeting.
>
>
> SCHEDULE CHANGE
>
> As noted ahead of time, two of the three co-chairs, Andy and Allison,
> were unable to attend IETF 68.  The working group co-chairs planned
> for this in advance by finding a substitute acting chair, Henning
> Schulzrinne, to aid the one co-chair, Randy, who was able to
> attend.  This change was publicly announced on the mailing list
> before IETF 68.  However, the RAI Area Directors announced a last
> minute (Sunday) schedule change which created an unresolvable conflict
> for Randy.  The Area Directors executed this schedule change over the
> objections of the GEOPRIV co-chairs and in full knowledge of the
> conflict it created.  Additionally, the reason given was so that a
> working group co-chair for another working group could attend his
> meeting.
>
> As a result of the schedule change, the meeting was co-chaired by Jon
> Peterson, the other RAI Area Director.  Consequent to the agenda
> change regarding L7-LCP, Henning recused himself during the latter
> half the meeting, leaving Jon Peterson to solely run the meeting.
> During the meeting, a few participants expressed concerns regarding
> the agenda and schedule changes.  These concerns were dismissed by  
> Jon.
>
>
> CONSENSUS CALLS
>
> As noted above, the meeting resulted in an unusually high (15) number
> of consensus calls for GEOPRIV.  This includes the unusual decision to
> use an alternate consensus method of a plurality vote to choose  
> between
> two protocol proposals.  As noted in the raw minutes and the
> audio recording of the meeting, for the call that used the
> plurality voting method, Cullen Jennings both called the consensus
> and cast the last and tie-breaking vote in the room.  It should also
> be noted that one of the hums was called on a question not described
> in an existing Internet-Draft.
>
> The schedule change, the agenda change made known to a few select
> participants in advance, and the unusual sense-of-the-room hums,  
> together
> create at least the appearance that there may have been an attempt to
> manipulate the IETF process to hold and predetermine the outcome of
> consensus calls.  Even the appearance of such manipulation,  
> regardless of
> how well-intentioned the actions may have been, threatens the  
> integrity
> and openness of the IETF.
>
> The IETF relies on not just open, fare processes, but also
> transparency that good procedures are followed.  The irregularities
> are now on the record of the group, hopefully never to be repeated.
>
> In order to follow IETF process, all resolutions put forward during
> a working group meeting must be ratified on the working group's
> mailing list.  The chairs will shortly be sending messages to formally
> initiate consensus calls on the sense-of-the-room hums that were taken
> in Prague.  Since so many hums were put forth during the IETF 68
> meeting, we plan to send multiple messages to the working group
> mailing list seeking ratification of the proposals.
>
> Because of what happened in Prague, the chairs want to make very
> sure that the subsequent consensus calls are very open and
> non-coercive. We ask all working group participants to please pay
> close attention to these calls and respond appropriately.
>
> The first of these messages will be sent shortly.
>
> Sincerely,
>
> The geopriv co-chairs:
> 	- Andy
> 	- Allison
> 	- Randy
>
>
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Sam Hartman <[email-masked]>
Date: Wed, 18 Apr 2007 19:08:48 -0400

Geopriv dropped because I'm asking a general question.

    >> AGENDA CHANGE
    >> 
    >> The IETF process allows for agenda changes during meetings.  At
    >> the outset of the meeting, the agenda was changed substantially
    >> from the published agenda.  This change included removing the
    >> discussion of location signing and integrity and replacing it
    >> with an L7-LCP protocol consensus call.  However, evidence has
    >> arisen that the the Area Directors, Cullen Jennings and Jon
    >> Peterson, met privately with some participants of the GEOPRIV
    >> working group to inform them of this agenda change.  Cullen
    >> Jennings is the Area Advisor to GEOPRIV.
    >> 
    >> If such meetings did occur, we believe them to be improper and
    >> to have potentially harmed the integrity and transparency of
    >> GEOPRIV and the IETF.  It is not proper for officiates of a
    >> working group to plan working group agenda changes and
    >> privately inform only select group participants.  Doing so
    >> disadvantages participants of the working group who have not
    >> been advised of this change.  This is especially true for this
    >> particular meeting as the agenda change precipitated 15 hums
    >> during the meeting.
    >> 

I'm a bit concerned that I may regularly be doing something that the
geopriv chairs feel is inappropriate.  I'd lik e to discuss with the
wider community so I can change my practices if needed.

It's reasonably common that I will try to work with chairs and key
participants in a working group to find ways to unstick a working
group.  for example I may suggest to a chair that some issue needs
more time or ask why an issue that seems to be blocking the WG is not
on the agenda.

I think I've even solicited presentations (with the chair's
cooperation) to help educate the working group in an attempt to
unblock some issue.

Generally these changes are discussed with the WG at the beginning of
the meeting and if someone objected we would consider their objection.

I can see cases where this would be an abuse.  For example if I
suggested giving proponents of one proposal time but not proponents of
another proposal.  Or if someone claimed they needed more time to
prepare for a decision but were unable to have that time because of
agenda changes, that might be very bad.

However I do not see the problem with using hallway time to try and
fine tune the agenda to actually allow working groups to make forward
progress.

Sam Hartman
Security Area Director

---

From: "Joel M. Halpern" <[email-masked]>
Date: Wed, 18 Apr 2007 19:28:22 -0400

While any procedure is subject to abuse, the behaviors described by 
the RAI ADs, and described by Sam below, are both acceptable and 
appropriate.  They are sometimes even necessary.  To tell the ADs 
that they can not talk to some of the active participants in a 
working group in order to figure out how to get the group unstuck is madness.

If the face-to-face meeting were able to make a binding decision, and 
if the working group in the room was not given the chance to decide 
whether to accept the agenda change, and if all sorts of other 
conditions that did not occur had occurred, then maybe there would be 
a problem.

Frankly, the ADs did their job.  The chairs should now determine if 
the conclusions reached in Prague are teh agreement of the WG on the 
WG email list.

Yours,
Joel M. Halpern

---

From: Ted Hardie <[email-masked]>
Date: Wed, 18 Apr 2007 17:59:11 -0700

Howdy,
	I'd like to make some comments on the issues discussed below.  Before
diving into the details, I'd like to make two meta-comments.  First,
I believe that the chairs' messages noted that they had received private messages
of concern, and that their e-mail was expressed as a response to those messages.
As chairs, it is their responsibility to take the community's concerns seriously
and to respond to them.  My reading of their response is that they believe
that the IETF 68 meeting of GEOPRIV was sufficiently unusual that it requires us
to be very careful to follow our standard procedures in following up the meeting,
so that the overall process is obviously fair and is as transparent as possible.
	This serves the interests of those who were at the GEOPRIV meeting at
IETF 68, as well as those who participate but could not physically attend
the meeting.  Reading Cullen's response, it looks like he saw this as the
chairs' impression and reaction as individuals; maybe that is part of it,
but I believe is important to see this in terms of the view of the participant
community (of which the Chairs certainly form part).  I also believe that their
suggested response is basically "do business as usual, and make sure that's obvious",
which I believe is non-controversial as a way forward.
	Secondly, I believe that this response has picked up some style
elements of the original chairs' message and exaggerated them,
falling into quasi-legal language that hurts us as a group of folks trying to
get this done.  As I read the original message, the core is that there were three
unusual aspects of the GEOPRIV meeting at IETF 68:  the schedule changed, which
had some unfortunate consequences; the meeting agenda changed more than usual;
and the way the group made progress was at the far end of our process.  Any
one of those, alone, might be enough to cause us to want to be careful of the
follow-up.  All of them together are definitely enough.  Rather than push against
how any one of these points got to be, let's see if we can agree on the way
forward.  I think, honestly, we already do, and bogging down in how we
got here is not that useful.  As you'll see below I see some mistakes I made
here, and I suspect others do as well.  Let's learn from them and move on.

At 1:23 PM -0700 4/18/07, Cullen Jennings wrote:
>In the email below, the GEOPRIV chairs express serious concerns about the process surrounding the GEOPRIV meeting at IETF 68 in Prague. In particular, they allege:
>
>- That improper meetings occurred between the ADs and the working group participants and that this "potentially harmed the integrity and transparency of GEOPRIV and the IETF"
>
>- That there was "the appearance that there may have been an attempt to manipulate IETF process to hold and predetermine the outcome of consensus calls" on the part of the Area Directors.
>
>In the first place, the Area Directors take these concerns, and grave allegations, very seriously. Area Directors who manipulate schedules and agendas in order to predetermine the outcome of consensus calls should, in our opinion, be summarily recalled, and if the GEOPRIV working group chairs believe this transpired in IETF 68, we urge them to pursue such a recourse.

I urge them not to.  Let's try to work this out without creaking into effect a never-used
aspect of our process.  Pushing it to that extreme looks contrary to our usual effort
to achieve consensus; let's continue talking to each other instead.  If either the
Area Directors or chairs is no longer willing to talk about the problems and resolve
them, I think we're in a sorry state.  If we've gotten there, let's try and back away.

> While we speak to the particulars in detail below, in short we believe that our efforts before, during and after the GEOPRIV meeting at IETF 68 were limited to encouraging a set of participants to arrive at a consensus which was long overdue, and did not extend to steering said consensus in any particular direction. In this regard we do not believe we overstepped our bounds, either in the letter or the spirit of the process.
>
>As indicated in my message of March 25, we agree with the GEOPRIV chairs that the hums taken in prague need to be confirmed on the mailing list. As we all know, the contents of a room in Prague are not equivalent to an IETF working group; only formal decisions of this mailing list are definitive for the working group. Too often working group minutes are published and completely ignored, which only leads to further discord down the road when participants resist that to which they are presumed to have assented. This is particularly important in this case because opinion in the room was so closely divided. So in the interests of making progress, please do review the results of Prague carefully!
>
><> Agenda: The Area Directors did meet privately with members of the GEOPRIV working group prior to the meeting at IETF 68. Indeed, we met with as many stakeholders as possible, specifically to ascertain how the group could move forward on a set of contentious issues which had been unresolved for some time.

As a participant, I volunteered to meet with James Winterbottom to discuss some
of his concerns and to understand better how some aspects of his proposal helped
advance the work of the group.  Looking back over the email exchange leading
up to that, I realize now that it would have better for me to add my
willingness to talk to other folks with other points of view, as some other
folks might have misconstrued my message as singling James out.
Because I was serving on the IESG at the time, some folks might have misunderstood which hat I was wearing when I made that offer.  I apologize for that, especially if
that contributed to  any of the feeling that one position was being favored.

I think the same could be said for Jon and Cullen.  Once they started meeting
privately with folks from GEOPRIV to discuss how to move forward, a note
to the group that they were looking for input on that would have been
useful.  In particular, it might have identified folks that Jon and Cullen
didn't immediately recognize as "stakeholders", and it would have given
those not at the physical meeting time to send email or otherwise contact
them as ADs.  I don't think that would have had a huge impact on the
outcome, honestly, but it would have increased the transparency of what
was going on.  That goes to the point the chairs have made.  In the middle
of an IETF, jet-lagged and hyper-busy, I think we have to agree that this is an easy
mistake to make.  But I hope we can agree that an open call for input would
be a good thing to be sure of in the future.

>In the course of these meetings we solicited input on how progress could be made at the meeting, and strongly encouraged working group members to find a path to consensus. We came to believe that focusing on core issues that were impeding progress, such as the longstanding disagreement on an HTTP-based Layer 7 Location Configuration Protocol (henceforth L7LCP) rather than ancillary issues like location signing, would be the best use of working group facetime.

I'm not sure everyone sees location signing as ancillary; it's just momentarily
less contentious.

The reality is that the group was deadlocked on whether to do an L7LCP
and remained so for a long time after the idea was first introduced.  This
was later exacerbated by a choice in which document to use as a baseline if
the working group did take it up.  This latter choice was bitterly contentious
and had been so for some time.  I agree with the choice to make resolving
it a priority, but I also see the problem raised by the chairs:  it was not the
focus of the original agenda and some, but not all, of the folks going into the
meeting knew that there would be a proposal to change the focus of the meeting. 
Since that level of agenda bash is unusual, you can see that as adding to a
concern about transparency. 

There is always concern that decisions made in situations like that may be
influenced by partisans packing the room with folks who are not typical
participants.  Whether that happened in this case or not, or on which side,
is not really that important.  The reality is that our processes have a way of
handling that, by making sure that the mailing list is always used as the final
decision-making venue for the working group.  For less contentious issues, that can
be a simple "Anyone disagree with the consensus of the room?".  I believe
that for contentious issues, more care may be required to state carefully
what the proposal is and how consensus will be determined.

I don't think the chairs' proposal for how to move forward requires more than
that, and I don't see any issues inside the WG with that as part of the plan
on how to move forward.

>While it is certainly true that the Area Directors knew they wanted to use the agenda time in GEOPRIV to make progress on core issues, if necessary at the expense of existing agenda items, there was no concrete agenda to that effect privately circulated prior to the meeting, verbally or in writing, to our knowledge. In fact, the agenda was bashed at the start of the GEOPRIV meeting by a participant, albeit one whose counsel on making progress the Area Directors had sought prior to the meeting. Critically, that agenda bash was vetted by the room, as any other agenda bash would be - this was not a change made by fiat of the Area Directors. We strongly believe that there was a will in the room to prioritize and resolve the issues which were bashed onto the agenda. We furthermore took specific hums about the preparedness of the group to make decisions about these issues, which under the circumstances were required to proceed.
>
><> Scheduling: There certainly were irregularities with the scheduling of the GEOPRIV meeting at IETF 68. That much said, scheduling the meeting track for the RAI Area is infamous, and last minute changes in timeslot are hardly unheard of (we had a similar one at the previous IETF). In this instance, the scheduling problem was ultimately caused by the unavailability of working group chairs. Two of the three GEOPRIV chairs, and one of the two SPEERMINT chairs, were unable to attend IETF 68 at all. It transpired that the SPEERMINT chair who could attend was unable to make the SPEERMINT timeslot due to a family obligation elsewhere in the world. As the GEOPRIV chairs note below, Henning Schulzrinne had previously been identified as a stand-in co-chair for GEOPRIV. We were thus left with the prospect of seeing SPEERMINT go forward with no available chairs, versus GEOPRIV going forward with at least one previously identified stand-in chair. We thus made a last minute decision to!
  find the lesser of two evils by swapping the timeslots of the groups. This was a decision made at the last minute to find the lesser of two evils. We certainly didn't anticipate all of the ramifications this change would have in terms of attendance, and in retrospect, we may not have made the most best choice. The choice was not, however, motivated by a desire to prevent participants from attending either meeting.

Thanks for your clear description.  I'm sure that Andy didn't anticipate his arm getting
broken prior to IETF 68, and we all recognize that these things happen.  The concern
that might be raised would be that Henning is strongly identified with one of the
proposals that was being considered in the revised agenda, and he had never before
been part of calling consensus in a GEOPRIV meeting.  As has already been noted,
Henning stepped away from that duty when his own topic was under discussion.
Having been in the room, I can say that I did not see it as a problem at the time.
I believe, though, that the chairs are telling us, at least in part, how it appeared
to those who were not in the room.  I think the right thing to do is acknowledge
that is a potential perception, and let it guide us in how we implement the
consensus call on the mailing list.

><> Consensus calls: There were indeed quite a few hums taken in the GEOPRIV room in Prague. In fact, the manner in which the meeting was run with regard to hums was not typical for this group - hums were used liberally to hone in on areas where there was, and was not, consensus. That much said, not all of the hums were consensus calls on working group issues; quite a few hums were also taken on how we should proceed, for example (taken from the minutes):
>This last hum in particular represented an unusual step, as the GEOPRIV chairs note. It was a step recommended by the author of RFC3929 (a document on "alternative decision making processes for consensus-blocked decisions") when we asked him how we might proceed. We resorted to this step because the room felt (based on a previous hum) that it was important to walk away from the meeting with a resolution.

I am the author of RFC 3929, and I did say that this was one way forward.  This
is not, however, exactly what RFC 3929 says.  That sets out preconditions
before alternative methods can be used: 

3.1.  There is a clear decision to be reached

3.2.  Proposals are available in Draft form

3.3.  The working group has discussed the issue without reaching
      resolution

3.4.  There is an explicit working group last call to use an alternate
      method

The hums in the room were not after an explicit working group last call to use
an alternate method; they were after a hum in the room to use plurality
rather consensus in order to make forward progress.  I believe that the
method used is within the spirit of 3929; more importantly, though, I think
they are well within what a working group can use to drive consensus.
All consensus requires compromise.  The call in the room could be rephrased
as:  "Are you willing to compromise by adopting the other solution if
it is the majority preference?"  I think that was the spirit in which it
was being asked, and I hope we can retain that spirit of compromise as
we ask for confirmation on the list.

> To one particular point:
>We feel it is important to clarify that Cullen Jennings did not call the consensus in the room. Rather, both Cullen and Ted Hardie were independently counting the tallies for the plurality in the room (two counters were used for redundancy, with the side effect that presumably we eliminated any chance of partiality); it was in fact Jon Peterson as chair who called the consensus, on the basis of those reported tallies. Furthermore, although Cullen Jennings did cast a vote when the count in the room was completed and discovered to result in a tie, this was not the tie-breaking vote for the purposes of determining consensus.

I note that I did not vote in any of the questions where I was tallying the answers.  In
the case where a tie was produced in the room I did say "Oh sh*t" loudly enough
to elicit some nearby laughter, and it was after that that Cullen raised his hand. 
Having seen his face, I can thoroughly believe that it was frustration at the level
of deadlock, and I was happy that counting the jabber room participants' positions
resolved the question such that we could remove his vote from the tally.

>In fact, votes from the Jabber room determined the plurality, and the resulting tally did not favor the option for which Cullen had voted. To the charge that
>
>That can be said of all of the process listed hums above. We aren't aware that process constrains us to make hums solely related to questions within existing Internet-Drafts.

I personally, don't think they do.  But the number of hums, the fact that we were
working from audible (rather than written) questions, and the pace of the meeting
all contribute to the issue of whether everyone understood the full impact
of all the questions being asked (especially those folks contributing remotely,
since this is always a difficult task).  This doesn't mean anything was done with
ill-intent; it just highlights the need to follow up with well-worded consensus calls
on the mailing list.

As I said before, I am personally happy with the outcome of the calls, as they
move us forward; I would have been equally happy, in many cases, with the
other choices, as they would do the same.  But I was at the meeting and could
get a sense of the room.  If the combination of unusual features related to
the meeting has raised questions in the community, then I believe the chairs
are right to respond to them and to ensure that we all recognize to be
careful in our followup.  That's not about blame, or an allegation.  I's a
practical statement of what it will take to keep all of the participants
committed to finishing the work.

I hope the chairs and ADs can come to a rapid and amicable agreement on
that, and that we can all move forward quickly.
			regards,
				Ted

>>the Area Directors, Cullen Jennings and Jon Peterson, met privately with
>>of this agenda change.  Cullen Jennings is the Area Advisor to GEOPRIV.
>>
>>the agenda and schedule changes.  These concerns were dismissed by Jon.
>>
>>
>>CONSENSUS CALLS
>>
>>use an alternate consensus method of a plurality vote to choose between
>>participants in advance, and the unusual sense-of-the-room hums, together
>>consensus calls.  Even the appearance of such manipulation, regardless of
>>how well-intentioned the actions may have been, threatens the integrity

---

From: Spencer Dawkins <[email-masked]>
Date: Thu, 19 Apr 2007 08:03:10 -0500

I'm following up to Cullen's note, but I've read Sam's note, Joel's note, 
and Ted's note. I tried to keep my own note short, but really admire Joel's 
brevity...

(Disclaimer: I'm one of the EDU team members who worked on the WG Chairs/WG 
Leadership tutorial. If I'm seriously off-base in my note, it would be great 
if people told Russ Housley (General AD, responsible for EDU), and Margaret 
Wasserman/Avri Doria (EDU team co-leaders).

- most of the time, it's not like this.

- the WG chairs are correctly raising the concern, and are starting at the 
right place in the appeals ladder. If this turns into an appeal, the IESG 
asks that appeals be clearly identified as appeals, and that people who 
appeal decisions state clearly what the desired way forward is.

- the AD(s) are correctly bringing the concern to the broader community. I 
agree with Cullen that recall would be (a) correct response to consensus 
manipulation, and agree with Ted that recall should not be the first place 
we go. As Ted noted, we've never used the recall procedure. If we get all 
the way to considering recall, it really is OK to use the procedure - we're 
just not there.

- the WG chairs are taking the right actions to confirm (or deny) the 
sense-of-the-room calls made in Prague.

- what we tell the WG chairs, and WG draft editors, is that their job is 
balancing fairness and progress. If you aren't fair, you'll spend all your 
time in appeals, so you won't make any progress, and if you don't make 
progress, it doesn't matter how fairly you stall. This is not a new theory - 
it was in the WG chair training when Dave Crocker gave the training for the 
first time.

- It's probably not a stretch to expect the ADs to be working to achieve the 
same balance. I agree with Sam that AD intervention to try to "unstick" 
discussions is part of the job. I agree with the GeoPriv chairs that AD 
intervention to choose a "consensus" consensus is not.

- what we tell the WG chairs is that ADs have the power to make a decision 
for the working group, in order to break a deadlock. Jeff Schiller (one of 
the ADs who did the WG chair training for several years) was very clear that 
an AD can say, "if you guys don't make a decision by date X, I'll make a 
decision for you". If this is not part of the community understanding, 
someone should be telling the WG chairs and ADs what the community 
understanding is.

- our formal process is that WG meetings don't make decisions, WGs make 
decisions on mailing lists and try to make progress in face-to-face 
meetings. If the ADs said they were making consensus calls during the 
meeting, that would be bad. If the ADs said they were asking for the sense 
of the room in order to understand where a decent number of participants 
stand, and that "sense of the room" would be consensus-called on the mailing 
list, that would be OK, in our documented process. If we don't actually 
believe this, we need to change our formal process.

- For both GEOPRIV and SPEERMINT, the question is whether having no meeting 
in Prague would have been an improvement over having meetings that were 
re-scheduled/held with substitute chairs. My recent experience with 
substitute-chair meetings has not been positive. It would be good to 
understand the community consensus here ("how badly do you need to have a 
formal meeting slot, given that you're not making decisions anyway?").

- We have been encouraging greater separation of roles (an extreme case of 
non-separated roles is a document editor who is also the working group 
chair, the document shepherd, and the responsible AD for the working group). 
We've been saying that having ADs chair WGs in their own area is not a good 
thing. We've been saying that having WG chairs edit major documents in their 
own area is not a good thing. We may want to provide guidance that having 
ADs chair WG meetings in their own area, especially where there is no other 
person acting as chair, is not a good thing, and that the ADs really need to 
find someone else who is willing to chair the meeting, and who is not 
involved as the next step on the appeals ladder.

I note that Jon is (with Russ, according to 
http://www.ietf.org/iesg_mem.html) the most experienced AD serving on the 
IESG today. If he thought this was OK, and it's not, the community should 
let the IESG know. Clear feedback is good.

In summary - not a good situation, but one that is being handled correctly 
at this point. Let's let the WG chairs, and the ADs, do their jobs and see 
where we end up.

Thanks to everyone involved for working to resolve this.

Spencer

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 19 Apr 2007 16:26:53 +0200

I want to make three peripheral comments.

1. I congratulate the ADs for bringing this to the general list.
If we habitually resolve such difficulties openly, we strengthen
the IETF going forward.

2. I think we have a general problem of assuming that issues
"decided" in the meeting room and "approved" on the mailing list
by lack of complaint at the draft minutes have in fact gained
rough consensus. I'm very glad that GEOPRIV isn't assuming
that, and IMHO all WGs should copy.

3. It's aggravating when meetings get rescheduled on site, but we've
been warning people for a couple of years that "IETF Meetings
start Monday morning and run through Friday lunchtime, with late
scheduling changes." Those last 4 words mean what they say, after all.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Thu, 19 Apr 2007 10:59:36 -0400

--On Wednesday, 18 April, 2007 19:08 -0400 Sam Hartman
<[email-masked]> wrote:

>     >> The IETF process allows for agenda changes during
> meetings.  At     >> the outset of the meeting, the agenda was
>...
> I'm a bit concerned that I may regularly be doing something
> that the geopriv chairs feel is inappropriate.  I'd lik e to
> discuss with the wider community so I can change my practices
> if needed.
> 
> It's reasonably common that I will try to work with chairs and
> key participants in a working group to find ways to unstick a
> working group.  for example I may suggest to a chair that some
>...

Sam, 

It seems to me that the community has a choice between ADs who
set themselves up, or are set up by others, as all-knowing
authority figures and ADs who try to move WGs forward by talking
with people, mediating, negotiating, and generally exercising
leadership rather than authority.   I believe that the
community's preference for the latter is very clear, especially
from the number of criticisms that regularly crop up in response
to symptoms of the former.

>From the material that was posted, I have no way to deduce
whether this was handled optimally.  For example, under normal
circumstances, I would expect that at least some of the WG
Co-Chairs were aware that these other conversations were going
on, rather than being surprised by them.  But I can also see a
number of reasons why they would not be consulted, notably ones
in which the WG is seriously behind schedule and the ADs were
starting to wonder whether the existing WG leadership was being
effective.

As Cullen suggests, if there were clear indications that the ADs
were using their authority to force a particular outcome, that
should be dealt with by immediate recalls.   On the other hand,
if the one or more co-chairs and the ADs have lost confidence in
either other, or in the WG's ability to succeed, some
rearrangement of the WG --by termination, change of leadership
(whether by resignation or "firing"), or significant change of
charter-- would seem to be in order.  But that goes well beyond
the question I think you were asking.

    john

---

From: John C Klensin <[email-masked]>
Date: Thu, 19 Apr 2007 11:20:59 -0400

Spencer,

I want to express slight disagreement on one of your points (the
others are clearly, at least to me, on-target)...

--On Thursday, 19 April, 2007 08:03 -0500 Spencer Dawkins
<[email-masked]> wrote:

>...
> - We have been encouraging greater separation of roles (an
> extreme case of non-separated roles is a document editor who
> is also the working group chair, the document shepherd, and
> the responsible AD for the working group). We've been saying
> that having ADs chair WGs in their own area is not a good
> thing. We've been saying that having WG chairs edit major
> documents in their own area is not a good thing. We may want
> to provide guidance that having ADs chair WG meetings in their
> own area, especially where there is no other person acting as
> chair, is not a good thing, and that the ADs really need to
> find someone else who is willing to chair the meeting, and who
> is not involved as the next step on the appeals ladder.

If a WG is in trouble -- not in terms of the peculiarities of a
particular meeting, but more generally -- and especially if it
is showing signs of long-term deadlock or paralysis about
particular issues, and the usual chair(s) are not available,
then my first preference would be to have someone in the chair
who has a good knowledge of the issues and a responsibility both
for balance about particular issues and, as you point out, for
balancing fairness and progress.  In many cases, that finger is
going to point to the relevant AD(s).  I'd hate to make a rule
that would prevent their sitting in the chair for a particular
meeting if, in their judgment, that was the best way to
facilitate both fairness and progress.    If they had to recuse
themselves from later IESG decision-making discussions on the
subject, I think that is a reasonable price to pay: if the WG
doesn't manage to reach conclusions, the IESG won't have the
chance to examine the relevant documents.

>...
> In summary - not a good situation, but one that is being
> handled correctly at this point. Let's let the WG chairs, and
> the ADs, do their jobs and see where we end up.

    indeed.
     john

---

From: Spencer Dawkins <[email-masked]>
Date: Thu, 19 Apr 2007 11:01:01 -0500

Hi, John,

Not-an-AD would be better than an-AD, but an-AD would be better than wasting 
the WG's time.

I agree with your point, I agree with not making a hard-and-fast rule, and I 
agree that the expectation is that an-AD chairing a WG meeting would recuse 
self from subsequent IESG discussions.

Thanks,

Spencer

From: "John C Klensin" <[email-masked]>

---

From: Otmar Lendl <[email-masked]>
Date: Thu, 19 Apr 2007 11:57:37 +0200

Some comments from me regarding this issue:

First of all, as Ted mentioned, we have to note whether the chairs
themselves complain about the Prague session or whether they 
are just responding to complaint voiced to them in private mails.

As I read the mails, it's the latter which begs the question
why the complains haven't simply been sent to the list in the
first place. 

Anyway,

> use of working group facetime.

Anybody reading the geopriv list already knew that a number of people
(me included) were pushing for a resolution of the HELD vs. RELO
question. So I'm a bit at loss how one can surprised that this
issue featured prominently during the meeting.

> <> Scheduling: 

I've no comment on the scheduling.

> - HUM: Will the group accept a plurality for the decision?

Coming to Prague I was not optimistic that the WG can make progress
on the L7LCP issue. I was positively surprised by the steps the ADs took
in order to reach a decision.

>From my point of view, the ADs did exactly what they are supposed to
do: Listen to their constituency, learn about their needs and guide the
WGs towards progress. In this case the need was for a decision on the
single L7LCP standard.

As I remember the HUMs, this need was not at all in doubt. Everybody
agreed that we should resolve this question in this session.

I did not sense any preference from the ADs for one of the proposals,
only the clear desire to reach a resolution. The sequence of HUMs were
cleverly designed to lead the group towards *a* solution, whatever that
may be.

> >and cast the last and tie-breaking vote in the room.

I can confirm Ted's account: Cullen just wanted to break the deadlock in
the room (what other options did he have at that point? Toss a coin?).
The Jabber count did swing the count in the other direction, so his vote
was irrelevant.

My summary is thus:

* I was positively impressed by the way the ADs handled a tricky situation.

* The WG got what it really needed and unanimously wanted: A resolution 
  of the L7LCP question.

  All those HUMs leading up to the final question were unopposed, I see
  thus no need to revisit them here on the mailinglist.

* The question the chairs should IMHO put to the list is simple:

  "Do we need to reopen the HELD vs. RELO decision?"

  If there are a number of clear statements that we need to, then we can
  go once again and try whatever RFC 3929 offers.

  Personally, I don't think the WG's aims are served by another 
  round of voting. This time and energy is better spent on
  reviews and updates to HELD. 

/ol
-- 
/ Otmar Lendl <[email-masked]>, T: +43 1 5056416 - 33, F: - 933 \
| nic.at Internet Verwaltungs- und Betriebsgesellschaft m.b.H |
\ http://www.nic.at/  LG Salzburg, FN 172568b, Sitz: Salzburg /

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 19 Apr 2007 16:36:43 -0500

At 04:31 PM 4/19/2007, Dawson, Martin wrote:
>And there it is.
>
>You're going to have to justify the accusation, John. Barbara S has
>already said she thinks she'll be constrained to deploying a system such
>as this - so it's certainly not a hidden agenda on her behalf. Other
>than that, it constitutes about 1% of the reasons for needing a location
>protocol that works above IP.
>
>The conspiracy theory is quite simply wrong.

energy and misrepresentation doesn't make things right either....

>Cheers,
>Martin
>
>-----Original Message-----
>From: John Schnizlein [mailto:[email-masked]]
>Sent: Friday, 20 April 2007 7:13 AM
>To: GEOPRIV WG; [email-masked]
>Subject: Re: [Geopriv] Irregularities with the GEOPRIV Meeting at IETF
>68
>
>It is worth recalling that a subset of the AD's and GeoPriv Chairs
>have pursued surprise changes to the advertised agenda before.
>
>The agenda of the GeoPriv WG meeting at IETF 57 was distinctly
>different from the one advertised, with the inclusion of a
>presentation by Jon Peterson on draft-ietf-geopriv-dhcp-lci-option at
>the beginning.  During Agenda Bash, I objected to the insertion of
>this presentation without the knowledge of the authors, and was told
>that the author not present had been told.  Jon's presentation was a
>well-organized ambush with slides in which he raised a wide variety
>of "concerns" about the draft that he had not (for that matter never
>did) post to the WG mailing list.  On the day after the draft minutes
>of the meeting were posted on September 23, 2003, I posted
>clarification on the mailing list of the whitewash of the objection
>to the inclusion of that ambush presentation.
>
>With modifications, that draft became RFC 3825, and represents the
>then-consensus position that hosts should obtain and control
>information about their geographic locations.  The alternative that
>may have been the hidden agenda at IETF 68 instead advocates that
>control of a host's geographic location reside with the network
>operator, and delivered through location servers.  The only
>"requirement" for these location servers appears to be the business
>interests of their operators, following the model of existing
>cellular telephone networks.  Advocates for this server-centric model
>have pushed a protocol called HELD, which may have been represented
>as an IETF product (based on individual-submission drafts) to
>operator groups.  Some of the same advocates have also undertaken
>attacks on RFC 3825 with arcane arguments about claimed differences
>between "uncertainty" and the resolution of a (latitude, longitude)
>location.  After one of the chairs requested a draft to clarify the
>meaning of resolution in RFC 3825, and the comments from IETF 67 were
>incorporated into a WG-approved draft, the chairs have arbitrarily
>labeled this draft: draft-ietf-geopriv-binary-lci-00 as "Awaiting
>revision by author team".
>
>There is reason to suspect that the maneuvers in Prague are part of
>an agenda to move control over a host's location from the host to the
>network operator in order to create a business of providing it.
>There is a pattern with implications on the outcome of the WG, not
>just procedural lapse.
>
>John
>
>On Apr 18, 2007, at 8:59 PM, Ted Hardie wrote:
>
> > Howdy,
> >> In the email below, the GEOPRIV chairs express serious concerns
> >> about the process surrounding the GEOPRIV meeting at IETF 68 in
> >> Prague. In particular, they allege:
> >>
> >> - That there was "the appearance that there may have been an
> >> attempt to manipulate IETF process to hold and predetermine the
> >> outcome of consensus calls" on the part of the Area Directors.
> >>
> >> In the first place, the Area Directors take these concerns, and
> >> grave allegations, very seriously. Area Directors who manipulate
> >> schedules and agendas in order to predetermine the outcome of
> >> consensus calls should, in our opinion, be summarily recalled, and
> >> if the GEOPRIV working group chairs believe this transpired in
> >> IETF 68, we urge them to pursue such a recourse.
> >
> >> While we speak to the particulars in detail below, in short we
> >> believe that our efforts before, during and after the GEOPRIV
> >> meeting at IETF 68 were limited to encouraging a set of
> >> participants to arrive at a consensus which was long overdue, and
> >> did not extend to steering said consensus in any particular
> >> only leads to further discord down the road when participants
> >> resist that to which they are presumed to have assented. This is
> >> particularly important in this case because opinion in the room
> >> was so closely divided. So in the interests of making progress,
> >> please do review the results of Prague carefully!
> >>
> >> <> Agenda: The Area Directors did meet privately with members of
> >> the GEOPRIV working group prior to the meeting at IETF 68. Indeed,
> >> we met with as many stakeholders as possible, specifically to
> >> ascertain how the group could move forward on a set of contentious
> >> issues which had been unresolved for some time.
> >
> > Because I was serving on the IESG at the time, some folks might
> > have misunderstood which hat I was wearing when I made that offer.
> > I apologize for that, especially if
> >> In the course of these meetings we solicited input on how progress
> >> could be made at the meeting, and strongly encouraged working
> >> group members to find a path to consensus. We came to believe that
> >> focusing on core issues that were impeding progress, such as the
> >> longstanding disagreement on an HTTP-based Layer 7 Location
> >> Configuration Protocol (henceforth L7LCP) rather than ancillary
> >> issues like location signing, would be the best use of working
> >> group facetime.
> >
> >> While it is certainly true that the Area Directors knew they
> >> wanted to use the agenda time in GEOPRIV to make progress on core
> >> issues, if necessary at the expense of existing agenda items,
> >> there was no concrete agenda to that effect privately circulated
> >> prior to the meeting, verbally or in writing, to our knowledge. In
> >> fact, the agenda was bashed at the start of the GEOPRIV meeting by
> >> a participant, albeit one whose counsel on making progress the
> >> Area Directors had sought prior to the meeting. Critically, that
> >> agenda bash was vetted by the room, as any other agenda bash would
> >> be - this was not a change made by fiat of the Area Directors. We
> >> strongly believe that there was a will in the room to prioritize
> >> and resolve the issues which were bashed onto the agenda. We
> >> furthermore took specific hums about the preparedness of the group
> >> to make decisions about these issues, which under the
> >> circumstances were required to proceed.
> >>
> >> scheduling the meeting track for the RAI Area is infamous, and
> >> last minute changes in timeslot are hardly unheard of (we had a
> >> similar one at the previous IETF). In this instance, the
> >> scheduling problem was ultimately caused by the unavailability of
> >> working group chairs. Two of the three GEOPRIV chairs, and one of
> >> the two SPEERMINT chairs, were unable to attend IETF 68 at all. It
> >> transpired that the SPEERMINT chair who could attend was unable to
> >> make the SPEERMINT timeslot due to a family obligation elsewhere
> >> in the world. As the GEOPRIV chairs note below, Henning
> >> Schulzrinne had previously been identified as a stand-in co-chair
> >> for GEOPRIV. We were thus left with the prospect of seeing
> >> SPEERMINT go forward with no available chairs, versus GEOPRIV
> >> going forward with at least one previously identified stand-in
> >> chair. We thus made a last minute decision to!
> >   find the lesser of two evils by swapping the timeslots of the
> > groups. This was a decision made at the last minute to find the
> > lesser of two evils. We certainly didn't anticipate all of the
> > ramifications this change would have in terms of attendance, and in
> > retrospect, we may not have made the most best choice. The choice
> > was not, however, motivated by a desire to prevent participants
> > from attending either meeting.
> >
> >> <> Consensus calls: There were indeed quite a few hums taken in
> >> the GEOPRIV room in Prague. In fact, the manner in which the
> >> meeting was run with regard to hums was not typical for this group
> >> - hums were used liberally to hone in on areas where there was,
> >> and was not, consensus. That much said, not all of the hums were
> >> consensus calls on working group issues; quite a few hums were
> >> also taken on how we should proceed, for example (taken from the
> >> minutes):
> >> consensus-blocked decisions") when we asked him how we might
> >> proceed. We resorted to this step because the room felt (based on
> >> a previous hum) that it was important to walk away from the
> >> meeting with a resolution.
> >
> >> We feel it is important to clarify that Cullen Jennings did not
> >> call the consensus in the room. Rather, both Cullen and Ted Hardie
> >> were independently counting the tallies for the plurality in the
> >> room (two counters were used for redundancy, with the side effect
> >> that presumably we eliminated any chance of partiality); it was in
> >> fact Jon Peterson as chair who called the consensus, on the basis
> >> of those reported tallies. Furthermore, although Cullen Jennings
> >> did cast a vote when the count in the room was completed and
> >> discovered to result in a tie, this was not the tie-breaking vote
> >> for the purposes of determining consensus.
> >
> >> In fact, votes from the Jabber room determined the plurality, and
> >> the resulting tally did not favor the option for which Cullen had
> >> voted. To the charge that
> >>
> >> That can be said of all of the process listed hums above. We
> >> aren't aware that process constrains us to make hums solely
> >> related to questions within existing Internet-Drafts.
> >
>------------------------------------------------------------------------------------------------
>This message is for the designated recipient only and may
>contain privileged, proprietary, or otherwise private information.
>If you have received it in error, please notify the sender
>immediately and delete the original.  Any unauthorized use of
>this email is prohibited.
>------------------------------------------------------------------------------------------------
>[mf2]
>
>

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 20 Apr 2007 12:07:38 +0200

Spencer Dawkins wrote:

> the ADs who did the WG chair training for several years) was very clear
> that an AD can say, "if you guys don't make a decision by date X, I'll make
> a decision for you". If this is not part of the community understanding,

This is not how I understood it.  The ADs can appoint new WG Chairs if
they're unhappy with the old Chairs, they're not forced to accept one of
the Chairs as document shepherd, and there is (or was) a potential dead
loop where the reaponsible AD can say "forever" that (s)he doesn't like
a WG draft because they're unfortunately forced to vote YES otherwise.

But all that doesn't cover "ADs speaking _directly_ for a WG" wrt WG
drafts, this would remove the first step in the appeal procedure for WGs.
Please correct me if I got it wrong.  Likely the rules for liaisons are
a bit more convoluted, and the rules for WG termination are in RFC 2418
no matter what ION 3710 says.

> - We have been encouraging greater separation of roles (an extreme case
> of non-separated roles is a document editor who is also the working group

> person acting as chair, is not a good thing, and that the ADs really need
> to find someone else who is willing to chair the meeting, and who is not

Yes.  OTOH if an important author of drafts in a WG volunteers to be an
AD and gets the job it's ugly if that would force them to give up their
I-Ds.  All areas (excl. "gen") have two ADs, that offers some leaway.

Frank

---

From: "Dawson, Martin" <[email-masked]>
Date: Thu, 19 Apr 2007 16:39:50 -0500

OK James. Whatever.

-----Original Message-----
From: James M. Polk [mailto:[email-masked]] 
Sent: Friday, 20 April 2007 7:37 AM
To: Dawson, Martin; John Schnizlein; GEOPRIV WG; [email-masked]
Subject: RE: [Geopriv] Irregularities with the GEOPRIV Meeting at IETF
68

> >>> The IETF process allows for agenda changes during meetings.  At
the

---

From: John Schnizlein <[email-masked]>
Date: Thu, 19 Apr 2007 17:13:01 -0400

John

---

From: "Dawson, Martin" <[email-masked]>
Date: Thu, 19 Apr 2007 16:31:00 -0500

And there it is.

Cheers,
Martin

-----Original Message-----
From: John Schnizlein [mailto:[email-masked]] 
Sent: Friday, 20 April 2007 7:13 AM
To: GEOPRIV WG; [email-masked]
Subject: Re: [Geopriv] Irregularities with the GEOPRIV Meeting at IETF
68

John

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 20 Apr 2007 14:35:16 +0200

On 2007-04-20 12:07, Frank Ellermann wrote:
> This is not how I understood it.

It seems fairly clear in RFC 2418 section 6.1:

   "The Chair has the responsibility and the authority to make decisions,
    on behalf of the working group, regarding all matters of working
    group process and staffing, in conformance with the rules of the
    IETF.  The AD has the authority and the responsibility to assist in
    making those decisions at the request of the Chair or when
    circumstances warrant such an intervention."

So the AD *does* have authority *when circumstances warrant*, but
only on matters of process and staffing. I'm sure Jeff Schiller didn't
mean any more than that - this rule doesn't allow an AD to take
technical decisions unilaterally, but does allow an AD to make a
consensus call if for some reason the WG Chairs can't do so. (And
all subject to the regular appeal process, of course.)

> The ADs can appoint new WG Chairs if
> Please correct me if I got it wrong.  

Speaking for? That would seem strange, even as an interpretation
of "when circumstances warrant such an intervention". But the quote above
does seem to allow an AD to take over for a WG chair as far as running
the discussion is concerned, exceptionally. And yes, that does make the
first two stages of the appeal process (appeal to WG Chair and to AD)
rather empty.

> Likely the rules for liaisons are

That's where recusals come from. And the General AD is at liberty to
find another AD to sponsor his or her BOFs or drafts. I did that.

    Brian

---

From: Scott W Brim <[email-masked]>
Date: Fri, 20 Apr 2007 08:44:12 -0400

> all subject to the regular appeal process, of course.)

My recollection is that Jeff made a technical decision and announced
it, because everyone agreed the process was deadlocked.  I don't
recall that he ever "took over" for a WG chair, but there was
agreement that the WG was stuck and a decision was required.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 20 Apr 2007 15:05:06 +0200

> agreement that the WG was stuck and a decision was required.

Ah, but if the WG *agrees* to accept the AD's decision, that's OK.
The rules in 2418 certainly allow an AD to ask a stuck WG "Will you let
me decide?". That's very different from deciding unilaterally.

Sorry to be picky but I think this distinction matters.

     Brian

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 20 Apr 2007 17:49:37 +0200

Brian E Carpenter wrote:

>|"The Chair has the responsibility and the authority to make decisions,
>| on behalf of the working group, regarding all matters of working
>| group process and staffing, in conformance with the rules of the
>| IETF.  The AD has the authority and the responsibility to assist in
>| making those decisions at the request of the Chair or when
>| circumstances warrant such an intervention."

> only on matters of process and staffing.

And actually only "authority to assist in making those decisions",
on request or on their own initiave.

> this rule doesn't allow an AD to take technical decisions
> unilaterally, but does allow an AD to make a consensus call if for
> some reason the WG Chairs can't do so.

Yes.  Anybody including Chairs and ADs is free to start some kind of
poll, and it's up to the Chairs to decide if the outcome reflects a
WG consensus.

> the quote above does seem to allow an AD to take over for a WG
> chair as far as running the discussion is concerned, exceptionally.

Sure, for a WG meeting where the Chairs are absent somebody can be
the meeting Chair, and if an AD, former AD, or anybody else with a
clue about what's needed (agenda, minutes, jabber, etc. ) volunteers
it's good.  And of course it's better when the WG Chairs do this, in
two cases I've watched that it took Harald about 20 minutes to post
the draft minutes, complete as working "visible on any browser" PDF.

>> if an important author of drafts in a WG volunteers to be an AD
>> and gets the job it's ugly if that would force them to give up
>> their I-Ds.  All areas (excl. "gen") have two ADs, that offers
>> some leaway.

> That's where recusals come from.

Recusals are okay, and losing an editor can be bad (from a WG's POV,
maybe the editor is happy to have a good excuse to give up on the
I-Ds :-)

> And the General AD is at liberty to find another AD to sponsor his
> or her BOFs or drafts. I did that.

The general area should have two ADs, it could be quite overwhelming
for the new AD otherwise.  No issue this time, Russ is supposed to
know what kind of informal infrastructure he inherited in addition
to the stuff you've documented in the procdoc ION.  I'd need an hour
only to list what I've seen...  Okay, I'm a slow typist. ;-)

In another article you wrote:
| Ah, but if the WG *agrees* to accept the AD's decision, that's OK.
| The rules in 2418 certainly allow an AD to ask a stuck WG "Will you
| let me decide?". That's very different from deciding unilaterally.

Yes, ADs and Chairs should be free to contribute like everybody else.
But if they use magic words like "WG consensus", "publication request",
"hat on", etc. they better make sure that it doesn't trigger appeals.

Frank

---

From: "Jeffrey I. Schiller" <[email-masked]>
Date: Fri, 20 Apr 2007 16:56:38 -0400

> someone should be telling the WG chairs and ADs what the community

Yep, I did this...

However, the devil is always in the details, and the details matter.

On two occasions I stepped in to force a working group (two different
working groups) to make progress. In one case I asked if a document was
"good enough" and their was weak consensus, but not strong
consensus. However the disagreement appeared to be over wording, not
protocol. So I asked if the document was "good enough" if the
alternative was WG shutdown. Suddenly the consensus was a lot stronger
:-)

I won't embarrass the WG by saying which one it was... you know who
you are!

But the more serious case involved IPSEC. The situation was thus:

~20 people  for one proposal.
~20 people  for a different proposal
~150 people for "someone please decide so we can go off and
                 implement!"

So I read the consensus as "We want this solved." I then asked the
authors of the two proposals if they could come to consensus by
September 1, 1996 (this was in March of 1996). They said they would
try. On August 29th I received a phone call telling me that they tried,
but could not agree.

So I decided.

I chose one of the proposals and wrote up my decision and sent it to the
WG list. I outlined my decision criteria, and how I viewed each proposal
against the criteria, finally offering to publish the "losing" proposal
as informational documents.

My one regret is that I didn't publish my decision as an RFC. Just
didn't think about it. I may dig it out of my e-mail archives and
publish it at some point (with some additional historic background) as a
historical RFC. The more time I get to refer to it, the more it makes
sense to publish it.

I will note that I don't believe I consulted with the WG chairs before
my presentation, but my memory may be off (this was 11 years
ago). However I do know that I had a very good working relationship
with the chairs so perhaps this consultation was implicit. Certainly I
do not believe that an AD should "surprise' a WG chair in this
fashion!

But like I said, the devil is in the details.

Why did I get away with it?

Well here are some facts:

o There was strong consensus that a decision needed to be
  made. Shutting down the WG and walking away was not considered an
  acceptable outcome.

o I was viewed as being an honest broker. I wasn't aligned with one or
  the other proposal.

o I was viewed as having the statue in the community to make such a
  decision. If not by de jure power, by personal power and influence.

o I documented my decision and how it was arrived at.

Was everyone happy in the end? Of course not. Part of the nature of
leadership is occasionally having to make the "hard" decisions. And by
definition, hard decisions are the ones that leave some people
unhappy. But I believe it was the right thing to do at the time and
perhaps history is showing the wisdom of the decision (or at least of
making a decision instead of allowing deadlock to continue).

As a side note. I find it a depressing trend in the IETF that we want
our leadership to be "process automatons" dancing to a predetermined
script. Only acting when there is a clear process to follow. I do not
believe any group can be successful following such a course.

I believe we need to choose leaders and then let them lead. We expect
the IESG to be both technical leaders and process leaders. That is one
tough role to fill. So they will never by perfect. However we should
permit them to lead. If they abuse their power, then replace them, but
don't remove the authority to make decisions and to truly lead from the
positions themselves.

                        -Jeff

--
========================================================================
Jeffrey I. Schiller
MIT Network Manager
Information Services and Technology
Massachusetts Institute of Technology
77 Massachusetts Avenue  Room W92-190
Cambridge, MA 02139-4307
617.253.0161 - Voice
[email-masked]
========================================================================
_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Theodore Tso <[email-masked]>
Date: Fri, 20 Apr 2007 17:58:51 -0400

> historical RFC. The more time I get to refer to it, the more it makes

For people who are interested in reading Jeff's writeup, it can be
found here:   (nothing ever disappears from the internet :-)

http://www.sandelman.ottawa.on.ca/ipsec/1996/09/msg00096.html

						- Ted

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 22 Apr 2007 08:20:58 +0200

> http://www.sandelman.ottawa.on.ca/ipsec/1996/09/msg00096.html

Thanks Jeff and Ted.

In fact, Jeff's approach and his message were very carefully constructed:

"After September 1, if the working group could not decide upon a course
of action, then I would step in as Security Area Director and propose
one myself.
...
I formally recommend, as Security Area Director, that the charter for
the IPSEC working group be amended.
...
Proposed New Charter..."

Quoting myself:
>>  The rules in 2418 certainly allow an AD to ask a stuck WG "Will you
>>  let me decide?". That's very different from deciding unilaterally.

I agree with what I think I hear Jeff saying: ADs should be free to act
decisively when a WG is indecisive, as long as they remain respectful of
the overall goals of openness and fairness.

    Brian